/* eslint-disable */
module.exports = {
  // key为按钮所在的页面路径，对象为页面按钮
  // 客户列表
  myCustomerList: {
    // key为按钮code，数组为按钮数据
    // 按钮名称、是否受权限控制0否1是、是否增删改0跳转1是2其他、按钮跳转路径
    // 1.批量分配会员 （按钮，控制“批量分配会员”弹窗内所有操作权限）
    multipleAssign: ['批量分配', 1, 2],
    // 2.分配 （按钮，控制“分配会员”弹窗内所有操作权限）
    assign: ['分配', 1, 2],
  },
  memberTagSet: {
    // 1.同步历史 （按钮，控制“同步记录”页面的所哟有操作权限）
    syncTagLog: ['同步历史', 1, 0, 'syncHistory'],
    // 2.待开启同步标签 （按钮，控制“待开启同步标签”所有操作权限）
    willSyncTag: ['待开启同步标签', 1, 2]
  },
  // TODO 客户展示设置
  // TODO 1.特殊策略配置 （按钮，控制“新增特殊策略配置”弹窗内所有操作权限）
  // TODO 2.编辑 （按钮，控制“修改特殊策略配置”弹窗内所有操作权限）
  // TODO 3.删除 （按钮）
  memberGroupSet: {
    // 1.会员分组失效后不展示（按钮）
    groupExpire: ['分组失效后不展示', 1, 2],
    // 2.立即同步（按钮）
    syncGroup: ['立即同步', 1, 2],
    // 1.新建模板 （按钮，控制“客户分组设置”新建页面内所有操作权限）
    addGroupTemp: ['新建模板', 1, 0, 'addGroupTemplate'],
    // 2.编辑 （按钮，控制“客户分组设置”修改页面内所有操作权限）
    editGroupTemp: ['编辑', 1, 0, 'editGroupTemplate'],
    // 3.门店范围设置 （按钮，控制“门店范围设置”页面内所有操作权限）
    setStoreArea: ['门店范围设置', 1, 0, 'storeRangeSet'],
    // 4.删除（按钮）
    delGroupTemp: ['删除', 1, 1]
  },
  memberSearchSet: {
    // 1.保存（按钮）
    searchSetSave: ['保存', 1, 1]
  },
  // TODO 会话任务
  // TODO 1.新增会话任务设置 （按钮，控制“新增会话任务设置”页面内所有操作权限）
  // TODO 2.查看 （按钮，控制“查看会话任务设置”页面内所有操作权限）
  // TODO 3.编辑 （按钮，控制“修改会话任务设置”页面内所有操作权限）
  // TODO 4.删除 （按钮）
  cardList: {
    // 1.新增卡券 （按钮，控制“新增卡券”页面内所有操作权限）
    addCard: ['新增卡券', 1, 0, 'newCard'],
    // 2.编辑 （按钮，控制“修改卡券”页面内所有操作权限）
    editCard: ['编辑', 1, 0, 'editCard'],
    // 3.删除 （按钮）
    delCard: ['删除', 1, 1]
  },
  cardRecord: {
    // 1.发送记录 （按钮，控制“发送记录”弹窗内所有操作权限）
    sendCardLog: ['发送记录', 1, 2],
    // 2.领取记录 （按钮，控制“领取记录”弹窗内所有操作权限）
    getCardLog: ['领取记录', 1, 2]
  },
  // TODO 评价回访设置
  // TODO 1.新增评价回访设置 （按钮，控制“新增评价回访设置”页面内所有操作权限）
  // TODO 2.查看 （按钮，控制“查看评价回访设置”页面内所有操作权限）
  // TODO 3.编辑 （按钮，控制“修改评价回访设置”页面内所有操作权限）
  // TODO 4.删除 （按钮）
  material: {
    // 1.新建文本 （按钮，控制“新建文本”弹窗内所有操作权限）；
    addText: ['文本-新建文本', 1, 1],
    // 2.编辑 （按钮，控制“编辑文本”弹窗内所有操作权限）；
    editText: ['文本-编辑', 1, 1],
    // 3.删除（按钮）
    delText: ['文本-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    textAssignStore: ['文本-分配企业', 1, 2],
    // TODO 5.适用门店 （按钮，控制“适用门店”弹窗内所有操作权限）
    textUsedStore: ['文本-适用门店', 1, 2],
    // 1.新建图片 （按钮，控制“新建图片”弹窗内所有操作权限）；
    addImage: ['图片-新建图片', 1, 1],
    // 2.编辑 （按钮，控制“编辑图片”弹窗内所有操作权限）；
    editImage: ['图片-编辑', 1, 1],
    // 3.删除（按钮）
    delImage: ['图片-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    imageAssignStore: ['图片-分配企业', 1, 2],
    // TODO 5.适用门店 （按钮，控制“适用门店”弹窗内所有操作权限）
    imageUsedStore: ['图片-适用门店', 1, 2],
    // 1.新建网页 （按钮，控制“新建网页”弹窗内所有操作权限）；
    addWeb: ['网页-新建网页', 1, 1],
    // 2.编辑 （按钮，控制“编辑网页”弹窗内所有操作权限）；
    editWeb: ['网页-编辑', 1, 1],
    // 3.删除（按钮）
    delWeb: ['网页-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    webAssignStore: ['网页-分配企业', 1, 2],
    // TODO 5.适用门店 （按钮，控制“适用门店”弹窗内所有操作权限）
    webUsedStore: ['网页-适用门店', 1, 2],
    // 1.新建视频 （按钮，控制“新建视频”弹窗内所有操作权限）；
    addVideo: ['视频-新建视频', 1, 1],
    // 2.编辑 制“编辑视频”弹窗内所有操作权限）；
    editVideo: ['视频-编辑', 1, 1],
    // 3.删除（按钮）
    delVideo: ['视频-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    videoAssignStore: ['视频-分配企业', 1, 2],
    // TODO 5.适用门店 （按钮，控制“适用门店”弹窗内所有操作权限）
    videoUsedStore: ['视频-适用门店', 1, 2],
    // 1.新建文件 （按钮，控制“新建文件”弹窗内所有操作权限）；
    addFile: ['文件-新建文件', 1, 1],
    // 2.编辑 （按钮，控制“编辑文件”弹窗内所有操作权限）；
    editFile: ['文件-编辑', 1, 1],
    // 3.删除（按钮）
    delFile: ['文件-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    fileAssignStore: ['文件-分配企业', 1, 2],
    // TODO 5.适用门店 （按钮，控制“适用门店”弹窗内所有操作权限）
    fileUsedStore: ['文件-适用门店', 1, 2],
    // 1.新建小程序 （按钮，控制“新建小程序”弹窗内所有操作权限）；
    addApps: ['小程序-新建小程序', 1, 1],
    // 2.编辑 （按钮，控制“编辑小程序”弹窗内所有操作权限）；
    editApps: ['小程序-编辑', 1, 1],
    // 3.删除（按钮）
    delApps: ['小程序-删除', 1, 1],
    // 4.分配企业 （按钮，控制“分配企业”弹窗内所有操作权限）
    appsAssignStore: ['小程序-分配企业', 1, 2],
    // TODO 5.适用门店 （按钮，控制“适用门店”弹窗内所有操作权限）
    appsUsedStore: ['小程序-适用门店', 1, 2],
  },
  goodsShowSet: {
    // 1.保存（按钮）
    saveGoodsSet: ['保存', 1, 1]
  },
  activeDetail: {
    // 1.活跃人员明细-导出（按钮）
    exportActiveUser: ['导出', 1, 2]
  },
  loginDetail: {
    // 2.登录人员明细-导出（按钮）
    exportLoginUser: ['导出', 1, 2]
  },
  areaLoginDetail: {
    // 3.区域登录明细-导出（按钮）
    exportAreaLoginUser: ['导出', 1, 2]
  },
  dailyRecord: {
    // 1.批量删除（按钮）
    multipleDelReport: ['批量删除', 1, 1],
    // 2.导出（按钮）
    exportReport: ['导出', 1, 2],
    // 3.查看详情（按钮，控制“云日报记录详情”页面权限）
    reportDetail: ['查看详情', 0, 0, 'dailyDetail']
  },
  dailyDetail: {
    // 4.云日报记录详情-批量删除（按钮）
    multipleDelReportDetail: ['批量删除', 1, 1],
    // 5.云日报记录详情-删除（按钮）
    delReportDetail: ['删除', 1, 1],
    // 6.云日报记录详情-预览（按钮）
    showReportDetail: ['预览', 1, 2]
  },
  dailyExport: {
    // 1.导出日报（按钮）
    multipleExportReport: ['导出日报', 1, 2]
  },
  taskAssign: {
    // 1.保存（按钮）
    saveTaskSet: ['保存', 1, 1]
  },
  // TODO 云日报设置
  // TODO 系统报表
  // TODO 1.模板设置 （按钮，控制“模板设置”弹窗内所有操作权限）；
  // TODO 2.保存并启用（按钮）
  // TODO 自定义报表
  // TODO 1.新建模板 （按钮，控制“新建模板”页面内所有操作权限）；
  // TODO 2.复制 （按钮，控制“新建模板”页面内所有操作权限）；
  // TODO 3.编辑 （按钮，控制“编辑模板”页面内所有操作权限）；
  // TODO 4.删除（按钮）
  monthList: {
    // 1.门店月指标 （按钮，控制“门店月指标”页面内所有操作权限）；
    monthTarget: ['门店月指标', 1, 0, 'storeMonthTask'],
    // 2.商户日权重 （按钮，控制“商户日权重月指标”页面内所有操作权限）；
    dayTarget: ['商户日权重', 1, 0, 'companyDaySet']
  },
  monthTask: {
    // 1.导出（按钮）
    exportTask: ['导出', 1, 2],
    // 2.查看详情（按钮，控制“月指标任务详情”页面权限）
    checkTaskDetail: ['查看详情', 0, 0, 'monthTaskDetail']
  },
  monthTaskDetail: {
    // 3.月指标任务详情-批量删除（按钮）
    multipleDelTask: ['批量删除', 1, 1],
    // 4.月指标任务详情-删除（按钮）
    delTask: ['删除', 1, 1]
  },
  grStoreList: {
    // 1.导出（按钮）
    exportSendTask: ['导出', 1, 2],
    // 2.查看详情（按钮，控制群发“任务详情”页面权限）
    checkSendTask: ['查看详情', 0, 0, 'grStoreDetail/:id']
  },
  'grStoreDetail/:id': {
    // 3.任务详情-导出（按钮）
    // 4.任务详情-详情（按钮，控制群发“完成详情”页面权限）
    // 5.任务详情-详情-导出（按钮）
    // 6.任务详情-预览（按钮，控制群发“预览详情”页面内所有操作权限）
  }
  // 按钮名称、是否受权限控制0否1是、是否增删改0：跳转 1：增删改 2：其他、按钮跳转路径
}
